### Function

# GLib DataForeachFunc

since: 2.0

#### Declaration

    void
    (* GDataForeachFunc) (
      GQuark key_id,
      gpointer data,
      gpointer user_data
    )

#### Description

Specifies the type of function passed to g_dataset_foreach(). It is called with each `GQuark` id and associated data element, together with the `user_data` parameter supplied to g_dataset_foreach().

Available since: 2.0

#### Parameters

`key_id`

  Type: `GQuark`

  The `GQuark` id to identifying the data element.

`data`

  Type: `gpointer`

  The data element.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to g_dataset_foreach().

  The argument can be `NULL`.
  The data is owned by the caller of the function.